SimpleTest (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.util.test

## Class SimpleTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest

- All Implemented Interfaces:
    Test
  Direct Known Subclasses:
    AEADTest, AESSICTest, AESWrapPadTest, AESWrapTest, AlgorithmParametersTest, ASN1UnitTest, AttributeTableUnitTest, BaseBlockCipherTest, BCryptTest, BiometricDataUnitTest, BlockCipherMonteCarloTest, BlockCipherResetTest, BlockCipherTest, BlockCipherVectorTest, CCMTest, CertificateTest, CertPathBuilderTest, CertPathTest, CertPathValidatorTest, CertStoreTest, CertTest, CertUniqueIDTest, ChaChaTest, CipherStreamTest, CipherStreamTest, CipherStreamTest2, CipherTest, CMacTest, CMacTest, CommitmentTypeIndicationUnitTest, CommitmentTypeQualifierUnitTest, CramerShoupTest, CRL5Test, CscaMasterListTest, CTRDRBGTest, CTSTest, DataGroupHashUnitTest, DERApplicationSpecificTest, DESedeTest, DetDSATest, DeterministicDSATest, DHIESTest, DHKEKGeneratorTest, DHTest, DHTest, DigestRandomNumberTest, DigestTest, DigestTest, DSATest, DSATest, DSTU4145Test, DSTU4145Test, DualECDRBGTest, EAXTest, ECDHKEKGeneratorTest, ECDSA5Test, ECElGamalTest, ECEncodingTest, ECGOST3410Test, ECIESKeyEncapsulationTest, ECIESTest, ECIESTest, ECNRTest, ECNRTest, ECTest, ECTransformationTest, ElGamalTest, ElGamalTest, EncryptedPrivateKeyInfoTest, EqualsHashCodeTest, FixedSecureRandomTest, GCMTest, GeneralizedTimeTest, GeneralNameTest, GenerationTest, GMacTest, GMacTest, GMSSSignerTest, GOST28147Test, GOST3410Test, Grain128Test, Grainv1Test, HashCommitmentTest, HashDRBGTest, HCFamilyTest, HCFamilyVecTest, HKDFGeneratorTest, HMacDRBGTest, HMacTest, IESTest, ImplicitlyCaTest, InputStreamTest, ISAACTest, Iso4217CurrencyCodeUnitTest, ISO9796Test, ISO9797Alg3MacTest, IssuingDistributionPointUnitTest, KDF1GeneratorTest, KDF2GeneratorTest, KDFCounterGeneratorTest, KDFDoublePipelineIteratorGeneratorTest, KDFFeedbackGeneratorTest, KeyStoreTest, KeyUsageTest, LDSSecurityObjectUnitTest, MacTest, MacTest, McElieceFujisakiCipherTest, McElieceKobaraImaiCipherTest, McEliecePKCSCipherTest, McEliecePointchevalCipherTest, MD5HMacTest, MGF1GeneratorTest, MonetaryValueUnitTest, MQVTest, MultiCertStoreTest, NaccacheSternTest, NamedCurveTest, NetscapeCertTypeTest, NISTCertPathTest, NISTCTSTest, OAEPTest, ObjectIdentifierTest, OCBTest, OCBTest, OIDTest, OpenBSDBCryptTest, PaddingTest, ParsingTest, PBETest, PKCS10CertRequestTest, PKCS12StoreTest, PKCS12Test, PKCS5Test, PKIFailureInfoTest, PKIXNameConstraintsTest, PKIXPolicyMappingTest, Poly1305Test, Poly1305Test, PSSBlindTest, PSSTest, PSSTest, QCStatementUnitTest, RainbowSignerTest, RC4Test, ReasonFlagsTest, ResetTest, RFC3211WrapTest, RFC4519Test, RSABlindedTest, RSADigestSignerTest, RSAKeyEncapsulationTest, RSATest, RSATest, Salsa20Test, SCryptTest, SemanticsInformationUnitTest, SerialisationTest, SetTest, SHA3DigestTest, SHA3Test, Shacal2Test, ShortenedDigestTest, SigNameTest, SignerLocationUnitTest, SigTest, SipHashTest, SipHashTest, SkeinDigestTest, SkeinMacTest, SkeinTest, SlotTwoTest, SP800RandomTest, SRP6Test, StreamCipherResetTest, StreamCipherVectorTest, StringTest, SubjectKeyIdentifierTest, TagTest, TargetInformationTest, ThreefishTest, TypeOfBiometricDataUnitTest, UTCTimeTest, VMPCKSA3Test, VMPCMacTest, VMPCTest, X500NameTest, X509CertificatePairTest, X509ExtensionsTest, X509LDAPCertStoreTest, X509NameTest, X509StreamParserTest, X931SignerTest, X931Test, X9Test, XSalsa20Test

      public abstract class SimpleTest
      extends java.lang.Object
      implements Test

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `areEqual(byte[] a, byte[] b)`
    `protected void` | `fail(java.lang.String message)`
    `protected void` | `fail(java.lang.String message, java.lang.Object expected, java.lang.Object found)`
    `protected void` | `fail(java.lang.String message, java.lang.Throwable throwable)`
    `abstract java.lang.String` | `getName()`
    `TestResult` | `perform()`
    `abstract void` | `performTest()`
    `protected static void` | `runTest(Test test)`
    `protected static void` | `runTest(Test test, java.io.PrintStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTest

          public SimpleTest()

  - ### Method Detail

    - #### getName

          public abstract java.lang.String getName()

      Specified by:
        `getName` in interface `Test`

    - #### fail

          protected void fail(java.lang.String message)

    - #### fail

          protected void fail(java.lang.String message,
                  java.lang.Throwable throwable)

    - #### fail

          protected void fail(java.lang.String message,
                  java.lang.Object expected,
                  java.lang.Object found)

    - #### areEqual

          protected boolean areEqual(byte[] a,
                         byte[] b)

    - #### perform

          public TestResult perform()

      Specified by:
        `perform` in interface `Test`

    - #### runTest

          protected static void runTest(Test test)

    - #### runTest

          protected static void runTest(Test test,
                     java.io.PrintStream out)

    - #### performTest

          public abstract void performTest()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`